#!/usr/bin/env bash
g=1
bdim=2
for rnn in lstm gru o2rnn mirnn
do
    for nbin in 0 1
    do
        for cluster in kmeans kmedoids som
        do
            for mdim in 1 2 3 4 5
            do
                sdim=$((bdim*mdim))
                python consolidate_results.py \
                    --result_file "../results/dfa/g${g}_${rnn}_sdim_${sdim}_${cluster}_nbin_${nbin}.json"
            done
        done
    done
done